<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp/src/main.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li><li class="navelem"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">main.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_console_reader_8h_source.html">SampleApp/ConsoleReader.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_sample_application_8h_source.html">SampleApp/SampleApplication.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_sample_application_return_codes_8h_source.html">SampleApp/SampleApplicationReturnCodes.h</a>&quot;</code><br />
<code>#include &lt;cstdlib&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for main.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="main_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_sample_app_2src_2main_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_sample_app_2src_2main_8cpp" id="_2workplace_2avs-device-sdk_2_sample_app_2src_2main_8cpp">
<area shape="rect" id="node2" href="_console_reader_8h.html" title="SampleApp/ConsoleReader.h" alt="" coords="336,332,533,357"/>
<area shape="rect" id="node8" href="_sample_application_8h.html" title="SampleApp/SampleApplication.h" alt="" coords="2419,92,2634,117"/>
<area shape="rect" id="node27" href="_sample_application_return_codes_8h.html" title="SampleApplicationReturnCodes.h" alt="" coords="3491,245,3712,271"/>
<area shape="rect" id="node13" href="_console_printer_8h.html" title="ConsolePrinter.h" alt="" coords="561,245,681,271"/>
<area shape="rect" id="node17" href="_equalizer_runtime_setup_8h.html" title="DefaultClient/EqualizerRuntime\lSetup.h" alt="" coords="4471,325,4678,364"/>
<area shape="rect" id="node24" href="_gui_renderer_8h.html" title="SampleApp/GuiRenderer.h" alt="" coords="735,332,916,357"/>
<area shape="rect" id="node29" href="_user_input_manager_8h.html" title="UserInputManager.h" alt="" coords="2008,165,2150,191"/>
<area shape="rect" id="node36" href="_capabilities_delegate_8h.html" title="CapabilitiesDelegate\l/CapabilitiesDelegate.h" alt="" coords="3205,239,3363,277"/>
<area shape="rect" id="node46" href="_external_media_player_8h.html" title="ExternalMediaPlayer\l/ExternalMediaPlayer.h" alt="" coords="2175,239,2334,277"/>
<area shape="rect" id="node15" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="357,419,533,457"/>
<area shape="rect" id="node16" href="_log_string_formatter_8h.html" title="AVSCommon/Utils/Logger\l/LogStringFormatter.h" alt="" coords="136,325,312,364"/>
<area shape="rect" id="node18" href="_equalizer_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerConfiguration\lInterface.h" alt="" coords="4264,412,4461,464"/>
<area shape="rect" id="node19" href="_equalizer_mode_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerModeController\lInterface.h" alt="" coords="5250,412,5459,464"/>
<area shape="rect" id="node20" href="_equalizer_storage_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerStorageInterface.h" alt="" coords="4537,419,4765,457"/>
<area shape="rect" id="node21" href="_equalizer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerInterface.h" alt="" coords="4789,419,4979,457"/>
<area shape="rect" id="node22" href="_equalizer_controller_listener_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerControllerListener\lInterface.h" alt="" coords="5003,412,5226,464"/>
<area shape="rect" id="node25" href="_template_runtime_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/TemplateRuntimeObserverInterface.h" alt="" coords="709,419,955,457"/>
<area shape="rect" id="node30" href="_registration_observer_interface_8h.html" title="RegistrationManager\l/RegistrationObserverInterface.h" alt="" coords="1768,239,1982,277"/>
<area shape="rect" id="node31" href="_interaction_manager_8h.html" title="InteractionManager.h" alt="" coords="2005,245,2152,271"/>
<area shape="rect" id="node32" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="1151,419,1339,457"/>
<area shape="rect" id="node33" href="_customer_data_manager_8h.html" title="RegistrationManager\l/CustomerDataManager.h" alt="" coords="3740,325,3914,364"/>
<area shape="rect" id="node35" href="_customer_data_handler_8h.html" title="RegistrationManager\l/CustomerDataHandler.h" alt="" coords="3621,419,3789,457"/>
<area shape="rect" id="node37" href="_auth_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthDelegateInterface.h" alt="" coords="3423,325,3614,364"/>
<area shape="rect" id="node38" href="_auth_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthObserverInterface.h" alt="" coords="3406,419,3597,457"/>
<area shape="rect" id="node39" href="_capability_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilityConfigurationInterface.h" alt="" coords="5483,419,5709,457"/>
<area shape="rect" id="node40" href="_capabilities_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilitiesDelegateInterface.h" alt="" coords="3988,325,4198,364"/>
<area shape="rect" id="node41" href="_capabilities_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilitiesObserverInterface.h" alt="" coords="3863,419,4075,457"/>
<area shape="rect" id="node42" href="_misc_storage_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Storage/MiscStorageInterface.h" alt="" coords="2615,325,2828,364"/>
<area shape="rect" id="node43" href="_device_info_8h.html" title="AVSCommon/Utils/DeviceInfo.h" alt="" coords="1806,332,2015,357"/>
<area shape="rect" id="node44" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="1537,325,1732,364"/>
<area shape="rect" id="node45" href="_http_put_interface_8h.html" title="AVSCommon/Utils/LibcurlUtils\l/HttpPutInterface.h" alt="" coords="2624,419,2824,457"/>
<area shape="rect" id="node47" href="_capability_agent_8h.html" title="AVSCommon/AVS/Capability\lAgent.h" alt="" coords="2040,325,2232,364"/>
<area shape="rect" id="node48" href="_directive_handler_configuration_8h.html" title="AVSCommon/AVS/DirectiveHandler\lConfiguration.h" alt="" coords="2257,325,2490,364"/>
<area shape="rect" id="node49" href="_context_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextManagerInterface.h" alt="" coords="3055,325,3246,364"/>
<area shape="rect" id="node50" href="_external_media_adapter_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExternalMediaAdapterInterface.h" alt="" coords="1142,325,1362,364"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a92570b86cce70e95c7e8b3d6349b27bf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8cpp.html#a92570b86cce70e95c7e8b3d6349b27bf">usesOptStyleArgs</a> (int argc, char *argv[])</td></tr>
<tr class="separator:a92570b86cce70e95c7e8b3d6349b27bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ddf1224851353fc92bfbff6f499fa97"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97">main</a> (int argc, char *argv[])</td></tr>
<tr class="separator:a0ddf1224851353fc92bfbff6f499fa97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a0ddf1224851353fc92bfbff6f499fa97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ddf1224851353fc92bfbff6f499fa97">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This serves as the starting point for the application. This code instantiates the <code>UserInputManager</code> and processes user input until the <code>run()</code> function returns.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">argc</td><td>The number of elements in the <code>argv</code> array. </td></tr>
    <tr><td class="paramname">argv</td><td>An array of  elements, containing the program name and all command-line arguments. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>EXIT_FAILURE</code> if the program failed to initialize correctly, else <code>EXIT_SUCCESS</code>. </dd></dl>

</div>
</div>
<a id="a92570b86cce70e95c7e8b3d6349b27bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92570b86cce70e95c7e8b3d6349b27bf">&#9670;&nbsp;</a></span>usesOptStyleArgs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool usesOptStyleArgs </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Function that evaluates if the SampleApp invocation uses old-style or new-style opt-arg style invocation.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">argc</td><td>The number of elements in the <code>argv</code> array. </td></tr>
    <tr><td class="paramname">argv</td><td>An array of  elements, containing the program name and all command-line arguments. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> of the invocation uses optarg style argument <code>false</code> otherwise. </dd></dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
